summaryrefslogtreecommitdiff
path: root/debian/tests/python3
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/python3')
-rwxr-xr-xdebian/tests/python314
1 files changed, 14 insertions, 0 deletions
diff --git a/debian/tests/python3 b/debian/tests/python3
new file mode 100755
index 0000000..51858b8
--- /dev/null
+++ b/debian/tests/python3
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -efu
+
+export LC_ALL=C.UTF-8
+
+pys="$(py3versions -rv 2> /dev/null)"
+
+cp -a tests "$AUTOPKGTEST_TMP"
+cd "$AUTOPKGTEST_TMP"
+
+for py in $pys; do
+ echo "=== python$py ==="
+ python$py -m unittest discover silx/test/ 2>&1
+done